#
# spec file for package python-et_xmlfile
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-et_xmlfile
Version:        1.0.1
Release:        4.6
Summary:        An implementation of lxml.xmlfile for the standard library
License:        MIT
URL:            https://bitbucket.org/openpyxl/et_xmlfile
Source0:        https://files.pythonhosted.org/packages/source/e/et_xmlfile/et_xmlfile-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/biydnd/et_xmlfile/master/LICENCE.rst
BuildRequires:  %{python_module lxml}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-jdcal
Requires:       python-lxml >= 3.4
BuildArch:      noarch
%python_subpackages

%description
et_xmlfile is a low memory library for creating large XML files.

It is based upon the xmlfile module from lxml with the aim of allowing code to
be developed that will work with both libraries. It was developed initially for
the openpyxl project but is now a standalone module.

%prep
%setup -q -n et_xmlfile-%{version}
rm -rf *.egg-info
cp -a %{SOURCE1} .

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest et_xmlfile/tests

%files %{python_files}
%license LICENCE.rst
%doc README.rst
%{python_sitelib}/et_xmlfile-%{version}*-info
%{python_sitelib}/et_xmlfile

%changelog
* Tue May 23 2023 Matej Cepl <mcepl@suse.com>
- Clean up the SPEC file.
* Tue May 23 2023 Jiri Srain <jsrain@suse.com>
- updated the LICENSE.rst URL
* Thu Mar 12 2020 Tomáš Chvátal <tchvatal@suse.com>
- Make sure to run without python2
* Thu Dec  6 2018 Tomáš Chvátal <tchvatal@suse.com>
- Run the tests
- Make sure to run fudpes correctly
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed Jul 26 2017 bruno@ioda-net.ch
- specfile : add line to define python-modules (fix build on Leap)
* Wed Jun  7 2017 bruno@ioda-net.ch
- Move to singlespec
- Add missing requires python-lxml
- Prepare everything for testing (wip)
* Thu Jul  7 2016 toddrme2178@gmail.com
- Requires full python3 package.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Thu Nov 19 2015 bruno@ioda-net.ch
- Initial Release : build python3
